Package org.apache.calcite.avatica

## Class MetaImpl.MetaSchema

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaSchema

All Implemented Interfaces:
  `MetaImpl.Named`

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaSchema
    extends java.lang.Object
    implements MetaImpl.Named

Metadata describing a schema.

### Field Summary

Fields
`java.lang.String` `tableCatalog`
`java.lang.String` `tableSchem`

### Constructor Summary

Constructors
`MetaSchema​(java.lang.String tableCatalog, java.lang.String tableSchem)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableSchem

    public final java.lang.String tableSchem

#### tableCatalog

    public final java.lang.String tableCatalog

### Constructor Detail

#### MetaSchema

    public MetaSchema​(java.lang.String tableCatalog,
                      java.lang.String tableSchem)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`